JarLibAvailableTask (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.optional.extension.JarLibAvailableTask class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.extension
Class JarLibAvailableTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.optional.extension.JarLibAvailableTask

All Implemented Interfaces:
  java.lang.Cloneable

    public class JarLibAvailableTask

extends Task

Checks whether an extension is present in a fileset or an extensionSet.

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`JarLibAvailableTask()`

Method Summary
`void` | `addConfiguredExtension(ExtensionAdapter extension)` Set the Extension looking for.
`void` | `addConfiguredExtensionSet(ExtensionSet extensionSet)` Adds a set of extensions to search in.
`void` | `execute()` Execute the task.
`void` | `setFile(java.io.File file)` The JAR library to check.
`void` | `setProperty(java.lang.String property)` The name of property to set if extensions are available.

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JarLibAvailableTask

    public JarLibAvailableTask()

Method Detail

### setProperty

    public void setProperty(java.lang.String property)

  The name of property to set if extensions are available.

  Parameters:
    `property` - The name of property to set if extensions is available.

### setFile

    public void setFile(java.io.File file)

  The JAR library to check.

  Parameters:
    `file` - The jar library to check.

### addConfiguredExtension

    public void addConfiguredExtension(ExtensionAdapter extension)

  Set the Extension looking for.

  Parameters:
    `extension` - Set the Extension looking for.

### addConfiguredExtensionSet

    public void addConfiguredExtensionSet(ExtensionSet extensionSet)

  Adds a set of extensions to search in.

  Parameters:
    `extensionSet` - a set of extensions to search in.

### execute

    public void execute()
                 throws BuildException

  Execute the task.

  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException` - if somethign goes wrong.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD